use serde::Deserialize;

#[derive(Deserialize)]
pub(crate) struct FetchAll {
    pub(crate) key: String,
}

#[derive(Deserialize)]
pub(crate) struct AllKeys {}

#[derive(Deserialize)]
pub(crate) struct Query {
    pub(crate) fetch_all: Option<FetchAll>,
    pub(crate) all_keys: Option<AllKeys>,
}
